
Redmine - Defect #27310

mail on SSL 465 not working

2017-10-26 20:04 - Mohammed Ibrahim

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

Hello

Redmine was working greate on port 25 on sending mails, but this port is closed for security, now the only available port is 465, i

configured as:

production:

  delivery_method: :smtp

  smtp_settings:

    address: mail.mailserver.com

    port: 465

    ssl: true

    enable_starttls_auto: true

    domain: mail.mailserver.com

    user_name: redmine@mail.com

    password: PASS

 I tried with "quotes" and without,

I tried to empty the file "config/configuration.yml", and make only the production config

It keeps giving me the "An error occurred while sending mail (Timeout::Error)" on both testing mail and when i try to send to any user

redmine version 2.4

ruby 1.9

gem 1.8.23

Any help please?

History

#1 - 2017-10-27 04:18 - Toshi MARUYAMA

- Description updated

Please use forum for question.

Redmine 2.4 is not supported.

#2 - 2017-10-27 04:18 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid
